=== debian/changelog ===
octave-video (1.2.4-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:52:20 +0100

octave-video (1.2.4-4) unstable; urgency=medium

  * d/control: Bump dependency on dh-octave to >= 0.7.1
    This allows the injection of the virtual package octave-abi-N into
    the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 09 Nov 2019 05:57:15 -0300

octave-video (1.2.4-3) unstable; urgency=medium

  * d/p/compile-with-octave-5.1.patch: New patch
  * d/control: Bump Standards-Version to 4.4.1 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 05 Oct 2019 13:45:14 -0300

octave-video (1.2.4-2) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.4.0 (no changes needed)
  * d/p/xtest-avireader.patch: New patch (Closes: #940828)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 25 Sep 2019 05:18:05 -0300

octave-video (1.2.4-1) unstable; urgency=low

  * Initial release (closes: #480773)

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 28 Feb 2019 12:26:33 -0300
