=== debian/control ===
Source: octave-video
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-octave (>= 0.7.1),
               libavutil-dev,
               libavformat-dev,
               libswscale-dev,
               libavresample-dev
Standards-Version: 4.4.1
Homepage: https://octave.sourceforge.io/video/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-video.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-video
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-video
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Description: wrapper for libavformat and libavcodec in Octave
 ${octave:Upstream-Description}
 .
 This Octave add-on package is part of the Octave-Forge project.
