=== debian/watch ===
version=3
http://sf.net/octave/video-(.+)\.tar\.gz
