=== debian/changelog ===
octave-video (2.0.0-2) unstable; urgency=medium

  * d/u/metadata: New file
  * d/control: Bump debhelper compatibitlity level to 13
  * d/p/increase-tol-videowriter-unit-test.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Wed, 27 May 2020 08:13:59 -0300

octave-video (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0
  * d/copyright: Reflect upstream changes
  * d/p/use-cxxflags.patch: Adjust for new upstream version
  * Patches dropped (useless for new upstream version):
    + d/p/xtest-avireader.patch
    + d/p/compile-with-octave-5.1.patch
  * d/control:
    + Build-depend on the correct ffmpeg libraries
    + Build-depend on pkg-config
    + Add more informative package description
    + Bump Standards-Version to 4.5.0 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 25 Mar 2020 04:51:41 -0300
