=== debian/control ===
Source: octave-video
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissière <rafael@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-octave (>= 0.7.1),
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libswscale-dev,
               pkg-config
Standards-Version: 4.5.0
Homepage: https://octave.sourceforge.io/video/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-video.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-video
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-video
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Description: video file reader/writer for Octave
 This package contains an implementation of the VideoReader and
 VideoWriter classes, based on OpenCV's CvCapture_FFMPEG
 and CvVideoWriter_FFMPEG, for Octave, a scientific computation
 software.
 .
 This Octave add-on package is part of the Octave-Forge project.
