=== debian/changelog ===
octave-video (2.0.2-1build1) jammy; urgency=medium

  * No-change rebuild against octave 6.4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 19 Jan 2022 09:38:13 +0000

octave-video (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2
  * d/p/increase-tol-videowriter-unit-test.patch: Drop patch (applied upstream)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 01 Dec 2021 13:20:27 -0300

octave-video (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1
  * d/p/increase-tol-videowriter-unit-test.patch: Update patch from
    upstream VCS source
  * d/clean: New file
  * d/copyright:
    + Update copyright years
    + Accentuate my family name
  * d/control:
    + Bump Standards-Version to 4.6.0 (no changes needed)
    + Set Multi-Arch: same
  * d/u/metadata: Set  Archive field
  * d/watch: Bump to version 4 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 27 Nov 2021 11:17:16 -0300
