=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libavutil-dev,
                libswscale-dev,
                pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://octave.sourceforge.io/video/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-video.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-video
@@ -19,6 +19,7 @@
 
 Package: octave-video
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
 Description: video file reader/writer for Octave
  This package contains an implementation of the VideoReader and
