=== debian/watch ===
version=4
http://sf.net/octave/video-(.+)\.tar\.gz
