## octave-video 2.1.1

=== DESCRIPTION ===
Name: video
Version: 2.1.1
Date: 2023-07-07
Author: Andreas Weber <octave@josoansi.de> and the OpenCV developers
Maintainer: Andreas Weber <octave@josoansi.de>
Title: Video functions
Description: A wrapper for OpenCV's CvCapture_FFMPEG and CvVideoWriter_FFMPEG
Categories: Video processing
Depends: octave (>= 4.4.1)
BuildRequires: ffmpeg or libav >= Lavu56.22.100, SwS5.3.100, Lavc58.35.100, Lavf58.20.100
License: GPLv3 and 3-clause BSD (https://www.opencv.org/license.html)
Url: https://gnu-octave.github.io/packages/video/
