=== debian/changelog ===
octave-video (2.1.1-3build3) oracular; urgency=medium

  * Rebuild against new libavcodec61.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 17:19:35 +0200

octave-video (2.1.1-3build2) oracular; urgency=medium

  * No-change rebuild against octave-abi-59

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 14 May 2024 09:54:44 +0000

octave-video (2.1.1-3build1) mantic; urgency=medium

  * Rebuild against new libavcodec60.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 21:58:30 +0200

octave-video (2.1.1-3) unstable; urgency=medium

  * d/p/increase-tolerance-videowriter-bist.patch: Increase even more the threshold

 -- Rafael Laboissière <rafael@debian.org>  Mon, 24 Jul 2023 06:15:09 -0300

octave-video (2.1.1-2) unstable; urgency=medium

  * d/p/increase-tolerance-videowriter-bist.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Sun, 23 Jul 2023 18:20:48 -0300

octave-video (2.1.1-1) unstable; urgency=medium

  * New upstream version 2.1.1
  * d/p/use-cxxflags.patch: Drop patch (applied ustream)
  * d/copyright:
    + Reflect upstream changes
    + Update Source URL
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/watch:
    + Adjust for new URL at gnu-octave.github.io
    + Use tarball URL at GitHub
  * d/control:
    + Bump Standards-Version to 4.6.2 (no changes needed)
    + Update Homepage URL

 -- Rafael Laboissière <rafael@debian.org>  Wed, 19 Jul 2023 05:55:25 -0300
