=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 0.7.1),
+               dh-sequence-octave,
                libavcodec-dev,
                libavformat-dev,
                libavutil-dev,
                libswscale-dev,
                pkg-config
-Standards-Version: 4.6.0
-Homepage: https://octave.sourceforge.io/video/
+Standards-Version: 4.6.2
+Homepage: https://gnu-octave.github.io/packages/video/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-video.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-video
 Testsuite: autopkgtest-pkg-octave
