## octave-video 2.1.3

=== debian/changelog ===
octave-video (2.1.3-2) unstable; urgency=medium

  * d/control: Drop “Rules-Requires-Root: no”, which is now the default
  * d/watch: Convert to format version 5

 -- Rafael Laboissière <rafael@debian.org>  Mon, 20 Oct 2025 10:56:43 -0300

octave-video (2.1.3-1) unstable; urgency=medium

  * New upstream version 2.1.3
  * d/copyright: Reflect upstream changes
  * d/p/increase-tolerance-videowriter-bist.patch: Drop patch (applied
    upstream)
  * d/u/metadata:
    + Update Bug-Database URL
    + Add Repository and update Repository-Browse URLs
  * d/control:
    + Build-depend on pkgconf instead of the deprecated pkg-config
      package
    + Bump Standards-Version to 4.7.2 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 16 Apr 2025 18:07:25 -0300
