=== debian/control ===
--- 
+++ 
@@ -9,13 +9,12 @@
                libavformat-dev,
                libavutil-dev,
                libswscale-dev,
-               pkg-config
-Standards-Version: 4.6.2
+               pkgconf
+Standards-Version: 4.7.2
 Homepage: https://gnu-octave.github.io/packages/video/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-video.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-video
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-video
 Architecture: any
